Architektura Podlaží

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Floor and the translation is 35% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português • ‎português do Brasil • ‎svenska • ‎čeština • ‎русский • ‎українська • ‎日本語
Arrow-left.svg Předchozí: Arch Rebar.svg Rebar
Další: Building Part Arch BuildingPart.svg Arrow-right.svg

Arch Floor.svg Arch Floor

Umístění Menu
Arch → Floor
Pracovní stoly
Arch
Výchozí zástupce
F L
Představen ve verzi
-
Viz také
Arch Building, Arch Site

Popis

Podlaží je speciální typ skupinového objektu FreeCADu, který má pár doplňkových vlastností zvláště vhodných pro výstavbu podlaží. Speciálně mají vlastnost výška, kterou mohou potomci objektu (zdi a struktury) automaticky použít pro nastavení jejich vlastní výšky.

As of v0.18 and above the Arch Floor is derived entirely from the Arch BuildingPart object, which is a general container to organize a building model not limited to floors or storeys. Older Floor objects can be converted to the new type by right clicking on them and choosing Convert to BuildingPart.

Použití

  1. Volitelně lze vybrat jeden nebo více objektů, které lze vložit do Vašeho nového podlaží
  2. Stiskněte tlačítko Arch Floor.png Podlaží nebo klávesy F a L

Volby

  • Po vytvoření podlaží můžete přidávat další objekty pomocí myši přetáhnutím a upuštěním (drag and drop) na požadované místo v panelu stromu nebo použitím nástroje Arch Add.png Přidat
  • Odstranit objekty z podlaží můžete podobně myší přetáhnutím a upuštěním objektu mimo panelu stromu nebo použitím nástroje Arch Remove.png Odebrat.

Vlastnosti

An Arch Floor object shares all properties from an Arch BuildingPart, with the ÚdajeIfc Type set to "Building Storey".

Skriptování

Nástroj Podlaží může být využit v makrech a z konzoly Pythonu použitím následující funkce:

Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")

vytvoří podlaží včetně objektů ze seznamu objectslist

Příklad:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Floor = Arch.makeFloor([Wall1, Wall2])

Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Předchozí: Arch Rebar.svg Rebar
Další: Building Part Arch BuildingPart.svg Arrow-right.svg